Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.tags
Class CatalogQueryTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.beasys.commerce.ebusiness.catalog.tags.CatalogQueryTag

All Implemented Interfaces:
  AdviceConstants, AdviceRequestConstants, CatalogRuleConstants, IterationTag, Serializable, Tag

public class CatalogQueryTag
extends TagSupport
implements AdviceConstants, AdviceRequestConstants, CatalogRuleConstants

The tag handler of the catalogQuery. The catalogQuery tag allows arbitrary personalized content to be selected based on a catalog query.

See Also:
  Serialized Form

Field Summary
`String` | `catalogManagerName` The CatalogManagerName to use for querying.
`String` | `expression` The expression for an expression search.
`String` | `id` The identifier that holds the results of the CatalogQuery.
`String` | `keywords` The keywords for a keyword query.
`int` | `maxResults` The maximum number of results to return.
`int` | `viewSize` View size in the ViewIterator.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface com.bea.p13n.advisor.AdviceConstants
`RESULTS`

Fields inherited from interface com.bea.p13n.advisor.AdviceRequestConstants
`CATALOG_QUERY_WRAPPER, CONTENT_APPEND_QUERY_STRING, CONTENT_MANAGER, CONTENT_MANAGER_HOME, CONTENT_QUERY_CONTEXT_PARAMS, CONTENT_QUERY_MAX_ITEMS, CONTENT_QUERY_NODE, CONTENT_QUERY_SORT_BY, CONTENT_QUERY_STRING, CONTENT_SEARCH_PATHS, DATE, HTTP_REQUEST, HTTP_SESSION, NOW, RULES_FILTER_CLASS, RULES_FILTER_CLASS_NAME, RULES_INPUT_OBJECTS, RULES_RULENAME_TO_FIRE, RULES_RULESET_NAME, SHOPPING_CART, TIME, TIME_INSTANT, USER`

Fields inherited from interface com.beasys.commerce.ebusiness.catalog.rules.CatalogRuleConstants
`KEYWORD_QUERY, PRODUCT_ITEM_QUERY`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`CatalogQueryTag()`

Method Summary
`int` | `doStartTag()` Processes the start tag.
`String` | `getCatalogManagerName()` Get the value of catalogManagerName.
`String` | `getExpression()` Get the value of expression.
`String` | `getId()` Get the value of id.
`protected ViewIterator` | `getItems()` Get a ViewIterator over catalog items.
`String` | `getKeywords()` Get the value of keywords.
`int` | `getMaxResults()` Get the value of maxResults.
`int` | `getViewSize()` Get the value of viewSize.
`void` | `release()` Clean up.
`void` | `setCatalogManagerName(String v)` Set the value of catalogManagerName.
`void` | `setExpression(String v)` Set the value of expression.
`void` | `setId(String v)` Set the value of id.
`void` | `setKeywords(String v)` Set the value of keywords.
`void` | `setMaxResults(int v)` Set the value of maxResults.
`void` | `setViewSize(int v)` Set the value of viewSize.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### catalogManagerName

    public String catalogManagerName

  The CatalogManagerName to use for querying.

### expression

    public String expression

  The expression for an expression search.

### id

    public String id

  The identifier that holds the results of the CatalogQuery.

### keywords

    public String keywords

  The keywords for a keyword query.

### maxResults

    public int maxResults

  The maximum number of results to return.

### viewSize

    public int viewSize

  View size in the ViewIterator.

Constructor Detail

### CatalogQueryTag

    public CatalogQueryTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Processes the start tag.

  Specified by:
    `doStartTag` in interface `Tag`
  Returns:
    The SKIP_BODY constant since this tag does not have a body.
  Throws:
    `JspTagException` - If the id variable is missing.
    `JspException`

### getCatalogManagerName

    public String getCatalogManagerName()

  Get the value of catalogManagerName.

  Returns:
    Value of catalogManagerName.

### getExpression

    public String getExpression()

  Get the value of expression.

  Returns:
    Value of expression.

### getId

    public String getId()

  Get the value of id.

  Returns:
    Value of id.

### getItems

    protected ViewIterator getItems()
                             throws JspTagException

  Get a ViewIterator over catalog items.

  Returns:
    ViewIterator.
  Throws:
    `JspTagException`

### getKeywords

    public String getKeywords()

  Get the value of keywords.

  Returns:
    Value of keywords.

### getMaxResults

    public int getMaxResults()

  Get the value of maxResults.

  Returns:
    Value of maxResults.

### getViewSize

    public int getViewSize()

  Get the value of viewSize.

  Returns:
    Value of viewSize.

### release

    public void release()

  Clean up.

  Specified by:
    `release` in interface `Tag`

### setCatalogManagerName

    public void setCatalogManagerName(String v)

  Set the value of catalogManagerName.

  Parameters:
    `v` - Value to assign to catalogManagerName.

### setExpression

    public void setExpression(String v)

  Set the value of expression.

  Parameters:
    `v` - Value to assign to expression.

### setId

    public void setId(String v)

  Set the value of id.

  Parameters:
    `v` - Value to assign to id.

### setKeywords

    public void setKeywords(String v)

  Set the value of keywords.

  Parameters:
    `v` - Value to assign to keywords.

### setMaxResults

    public void setMaxResults(int v)

  Set the value of maxResults.

  Parameters:
    `v` - Value to assign to maxResults.

### setViewSize

    public void setViewSize(int v)

  Set the value of viewSize.

  Parameters:
    `v` - Value to assign to viewSize.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved